#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(n==2)
    {
        cout<<a[1]<<" "<<a[0];
    }
    else
    {
        int maks=0,ind;
        for(int i=1;i<n;i++)
        {
            if(a[i]>maks)
            {
                maks=a[i];
                ind=i;
            }
        }
        if(a[ind]>=a[0])
        swap(a[ind],a[0]);
        else
        {
            for(int i=1;i<n;i++)
            {
                if(ind!=i)
                {
                    if(a[ind]>a[i])
                    swap(a[ind],a[i]);
                    break;
                }
            }
        }
        for(int i=0;i<n;i++)
        cout<<a[i]<<" ";
    }
    return 0;
}